UiPath Documentation
automation-cloud
latest
false

Guía de la API de UiPath Automation Cloud

Última actualización 5 de may. de 2026

Bulk Resolve Directory Entities

Resolves multiple directory entities by their unique identifiers and types in a single request, based on the organization ID.

Punto final de API

POST {accessURL}/{organizationName}/identity_/api/Directory/BulkResolve/{partitionGlobalId}

Sustituye {accessURL} en todas las rutas de los puntos finales por la URL base de tu plataforma en la nube:

Cloud PlatformURL de acceso
Automation Cloudhttps://cloud.uipath.com/
Sector público de Automation Cloudhttps://govcloud.uipath.us/
Automation Cloud dedicadohttps://{customURL}.dedicated.uipath.com/

Ámbitos

Necesita los siguientes ámbitos:

  • PM.Directory

Solicitar encabezados.

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Nota:

Para obtener el {access_token}, asegúrate de autenticarte a través de uno de los métodos descritos aquí.

Parámetros de ruta

Parámetros de rutaTipo de datosDescripción
partitionGlobalId (obligatorio)String (GUID)The ID of the organization to resolve the entities within.

Solicitar cuerpo

The request body specifies the entities to resolve. Each entity ID corresponds to the entity type at the same index.

{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}
{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}
PropiedadTipo de datosDescripción
entityIds (obligatorio)Array of stringsThe unique identifiers of the directory entities to resolve.
entityTypes (obligatorio)Array of stringsThe types corresponding to each entity ID. Valid values: User, Group, Application. Must be the same length as entityIds.

Respuesta

200 OK

Returns a dictionary mapping each entity identifier to its resolved directory entity. Entities that could not be resolved are returned as null.

{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}
{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}

400 Bad Request

Returned when entityIds and entityTypes have different lengths, or when required parameters are missing.

Solicitud de ejemplo

Supongamos que has recopilado toda la información necesaria para crear la llamada a la API.

La llamada debe parecerse al siguiente ejemplo (cURL):

curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolve/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}'
curl --location --request POST 'https://cloud.uipath.com/{organizationName}/identity_/api/Directory/BulkResolve/3fa85f64-5717-4562-b3fc-2c963f66afa6' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
    "entityIds": [
        "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901"
    ],
    "entityTypes": [
        "User",
        "Group"
    ]
}'

Aquí está el body de respuesta de una llamada correcta:

{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}
{
    "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890": {
        "objectType": "DirectoryUser",
        "source": "aad",
        "identifier": "aad|a1b2c3d4-e5f6-7890-abcd-ef1234567890",
        "name": "john.doe@example.com",
        "email": "john.doe@example.com",
        "displayName": "John Doe",
        "firstName": "John",
        "lastName": "Doe"
    },
    "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901": {
        "objectType": "DirectoryGroup",
        "source": "aad",
        "identifier": "aad|b2c3d4e5-f6a7-8901-bcde-f12345678901",
        "name": "Engineering Team",
        "displayName": "Engineering Team"
    }
}
  • Punto final de API
  • Ámbitos
  • Solicitar encabezados.
  • Parámetros de ruta
  • Solicitar cuerpo
  • Respuesta
  • 200 OK
  • 400 Bad Request
  • Solicitud de ejemplo

¿Te ha resultado útil esta página?

Conectar

¿Necesita ayuda? Soporte

¿Quiere aprender? UiPath Academy

¿Tiene alguna pregunta? Foro de UiPath

Manténgase actualizado